Bug 823013 - in gnome-shell some KDE icons are ugly
in gnome-shell some KDE icons are ugly
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: oxygen-icon-theme (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Grulich
Desktop QE
: Reopened
: 823003 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 15:12 EDT by Vladimir Benes
Modified: 2018-06-21 08:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-22 11:23:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-05-18 15:12:22 EDT
kcolorchooser, kmag2, kmousetool, kmouth, kolourpaint, ksig and ksnapshot have ugly icons in gnome-shell menu
Comment 1 Ngo Than 2012-05-21 11:11:51 EDT
the problem is that kde upstream doesn't have vector icon (svg) for this app. If our design-team could create such missing vector icons i can commit it to kde upstreams,
Comment 2 Ngo Than 2012-10-22 11:23:51 EDT
please reopen it again if our design-team could provide such missing vector icons
Comment 3 Bill Nottingham 2012-10-23 16:07:42 EDT
[notting@nostromo: ~/prog/rpms/oxygen-icon-theme/oxygen-icons-4.9.1]$ find . -name kcolor*
./scalable/apps/kcolorchooser.svg
...
[notting@nostromo: ~/prog/rpms/oxygen-icon-theme/oxygen-icons-4.9.1]$ find . -name kmag*
./scalable/apps/kmag.svg
./scalable/apps/hidef/kmag.svg
...

This certainly seems like something that could be solved in packaging - is there something wrong with these svgs?
Comment 5 Daniel Vrátil 2012-12-11 10:20:35 EST
The problem with the SVGs is that they are .svgz (don't know why yours are extracted), which GNOME Shell apparently does not support - see https://bugzilla.gnome.org/show_bug.cgi?id=655403. This can be easily fixed by ungzipping the icons when packaging the oxygen-icons-theme (tested locally).

However kcachegrind, kcoloredit, kfilereplace, kmousetool, kmouth, kolourpaint, ksig and kuiviewer don't have vector icons at all. We either have to live with the small bitmaps or we have to somehow make them ourselves (and idea who might be able to do so?)
Comment 6 Ludek Smid 2014-06-26 06:43:06 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.
Comment 7 Ludek Smid 2014-06-26 07:16:37 EDT
The comment above is incorrect. The correct version is bellow.
I'm sorry for any inconvenience.
---------------------------------------------------------------

This request was NOT resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you need
to escalate this bug.
Comment 9 Jan Grulich 2017-01-17 03:22:49 EST
Unless there is someone who creates mentioned missing icons in SVG then there is nothing we can do.
Comment 10 Jan Grulich 2017-05-09 05:42:07 EDT
*** Bug 823003 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.